Transactional SMS
Query dispatch history (POST alias)
POST
Query dispatch history using a JSON body filter in environments where query string parameters are restricted.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
from?stringFormat
date-timeto?stringFormat
date-timelimit?integerDefault
50List of recent dispatched SMS records
application/json- response
status?stringdata?array<>curl -X POST 'https://api.smspro.com/api/v1/public/sms/history' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "status": "string", "data": [ { "id": "string", "to": "string", "message": "string", "status": "string", "deliveryStatus": "string", "senderId": "string", "segmentCount": 0, "sentAt": "2019-08-24T14:15:22Z" } ]}